import { fetchCustomerInfo } from "@api";
import { ApiToken, CustomerInfo } from "@api/types";
import { useState } from "react";

export function useGetCustomerInfo() {
    const [customerInfo, setCustomerInfo] = useState<CustomerInfo>({ name: "John Smith", balance: -1 });
    const [isLoading, setIsLoading] = useState<boolean>(true); // this should be false, but at least the "Loading..." text appears when the page is loading

    const getCustomerInfo = (token: ApiToken, id: number) => {
        setIsLoading(true);
        fetchCustomerInfo(token, id)
        .then(setCustomerInfo)
        .then(() => setIsLoading(false));
    }

    return { isLoading, customerInfo, getCustomerInfo };
}